Skip to main content
GET
/
v1
/
knowledge-base
/
knowledge-bases
/
{kb_id}
/
sources
/
{source_id}
/
sync
/
status
Get Sync Status
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/knowledge-base/knowledge-bases/{kb_id}/sources/{source_id}/sync/status \
  --header 'x-api-key: <api-key>'
{
  "source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_status": "<string>",
  "last_sync_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "last_sync_status": "<string>",
  "last_sync_started_at": "2023-11-07T05:31:56Z",
  "last_sync_completed_at": "2023-11-07T05:31:56Z",
  "total_items": 123,
  "processed_count": 123,
  "error_message": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

kb_id
string<uuid>
required
source_id
string<uuid>
required

Response

Successful Response

source_id
string<uuid>
required
source_status
string
required
last_sync_job_id
string<uuid> | null
last_sync_status
string | null
last_sync_started_at
string<date-time> | null
last_sync_completed_at
string<date-time> | null
total_items
integer | null
processed_count
integer | null
error_message
string | null